Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl
Class BatchedQueueingProcessor

    java.lang.Object
      org.hibernate.search.backend.impl.BatchedQueueingProcessor

All Implemented Interfaces:
  QueueingProcessor

    public class BatchedQueueingProcessor

extends java.lang.Object
implements QueueingProcessor

Batch work until `performWorks(org.hibernate.search.backend.WorkQueue)` is called. The work is then executed synchronously or asynchronously.

Author:
  Emmanuel Bernard

Constructor Summary
`BatchedQueueingProcessor(SearchFactoryImplementor searchFactoryImplementor, java.util.Properties properties)`

Method Summary
`void` | `add(Work work, WorkQueue workQueue)` Add a work TODO move that somewhere else, it does not really fit here
`void` | `cancelWorks(WorkQueue workQueue)` Rollback works
`void` | `close()` clean resources This method should log errors rather than raise an exception
`static boolean` | `isConfiguredAsSync(java.util.Properties properties)`
`void` | `performWorks(WorkQueue workQueue)` Execute works
`void` | `prepareWorks(WorkQueue workQueue)` prepare resources for a later performWorks call

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchedQueueingProcessor

    public BatchedQueueingProcessor(SearchFactoryImplementor searchFactoryImplementor,
                                    java.util.Properties properties)

Method Detail

### add

    public void add(Work work,
                    WorkQueue workQueue)

  Description copied from interface: `QueueingProcessor`
  Add a work TODO move that somewhere else, it does not really fit here

  Specified by:
    `add` in interface `QueueingProcessor`

### prepareWorks

    public void prepareWorks(WorkQueue workQueue)

  Description copied from interface: `QueueingProcessor`
  prepare resources for a later performWorks call

  Specified by:
    `prepareWorks` in interface `QueueingProcessor`

### performWorks

    public void performWorks(WorkQueue workQueue)

  Description copied from interface: `QueueingProcessor`
  Execute works

  Specified by:
    `performWorks` in interface `QueueingProcessor`

### cancelWorks

    public void cancelWorks(WorkQueue workQueue)

  Description copied from interface: `QueueingProcessor`
  Rollback works

  Specified by:
    `cancelWorks` in interface `QueueingProcessor`

### close

    public void close()

  Description copied from interface: `QueueingProcessor`
  clean resources This method should log errors rather than raise an exception

  Specified by:
    `close` in interface `QueueingProcessor`

### isConfiguredAsSync

    public static boolean isConfiguredAsSync(java.util.Properties properties)

  Parameters:
    `properties` - the configuration to parse
  Returns:
    true if the configuration uses sync indexing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.